w3-recs (20110107-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild

 -- root <root@loongson-pc>  Fri, 01 Apr 2022 20:09:45 +0800

w3-recs (20110107-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * debian/TODO.Debian: add pending TODO items

  [ Colin Darie ]
  * New maintainer. (Closes: #579786)
  * List of recommendations (REC) changes (Closes: #604968):
    - Associating Style Sheets with XML documents 1.0 (Second Edition)
      (updated 28/10/2010)
    - Device Description Repository Simple API (new 05/12/2008)
    - EMMA: Extensible MultiModal Annotation markup language
      (new 10/02/2009)
    - Element Traversal Specification (new 22/12/2008)
    - Extensible Markup Language (XML) 1.0 (Fifth Edition)
      (updated 26/11/2008)
    - Mobile Web Best Practices 1.0 (new 29/07/2008)
    - Namespaces in XML 1.0 (Third Edition) (updated 08/12/2009)
    - OWL 2 Web Ontology Language Conformance (new 27/10/2009)
    - OWL 2 Web Ontology Language Direct Semantics (new 27/10/2009)
    - OWL 2 Web Ontology Language Document Overview (new 27/10/2009)
    - OWL 2 Web Ontology Language Mapping to RDF Graphs (new 27/10/2009)
    - OWL 2 Web Ontology Language New Features and Rationale
      (new 27/10/2009)
    - OWL 2 Web Ontology Language Primer (new 27/10/2009)
    - OWL 2 Web Ontology Language Profiles (new 27/10/2009)
    - OWL 2 Web Ontology Language Quick Reference Guide (new 27/10/2009)
    - OWL 2 Web Ontology Language RDF-Based Semantics (new 27/10/2009)
    - OWL 2 Web Ontology Language Structural Specification and
      Functional-Style Syntax (new 27/10/2009)
    - OWL 2 Web Ontology Language XML Serialization (new 27/10/2009)
    - Pronunciation Lexicon Specification (PLS) Version 1.0
      (new 14/10/2008)
    - Protocol for Web Description Resources (POWDER): Description Resources
      (new 01/09/2009)
    - Protocol for Web Description Resources (POWDER): Formal Semantics
      (new 01/09/2009)
    - Protocol for Web Description Resources (POWDER): Grouping of Resources
      (new 01/09/2009)
    - RDFa in XHTML: Syntax and Processing (new 14/10/2008)
    - RIF Basic Logic Dialect (new 22/06/2010)
    - RIF Core Dialect (new 22/06/2010)
    - RIF Datatypes and Built-Ins 1.0 (new 22/06/2010)
    - RIF Framework for Logic Dialects (new 22/06/2010)
    - RIF Production Rule Dialect (new 22/06/2010)
    - RIF RDF and OWL Compatibility (new 22/06/2010)
    - SKOS Simple Knowledge Organization System Reference (new 18/08/2009)
    - Scalable Vector Graphics (SVG) Tiny 1.2 Specification
      (new 22/12/2008)
    - Service Modeling Language Interchange Format Version 1.1
      (new 12/05/2009)
    - Service Modeling Language, Version 1.1 (new 12/05/2009)
    - Speech Syn8hesis Markup Language (SSML) Version 1.1 (new 07/09/2010)
    - Synchronized Multimedia Integration Language (SMIL 3.0)
      (updated 01/12/2008)
    - W3C mobileOK Basic Tests 1.0 (new 08/12/2008)
    - Web Content Accessibility Guidelines (WCAG) 2.0 (new 11/12/2008)
    - Web Security Context: User Interface Guidelines (new 12/08/2010)
    - WebCGM 2.1 (new 01/03/2010)
    - XForms 1.1 (updated 20/10/2009)
    - XHTML-Print - Second Edition (new 23/11/2010)
    - XHTML™ 1.1 - Module-based XHTML (updated 07/10/2010)
    - XHTML™ Basic 1.1 - Second Edition (updated 07/10/2010)
    - XHTML™ Modularization 1.1 - Second Edition (new 29/07/2010)
    - XML Base (Second Edition) (updated 28/01/2009)
    - XML Entity Definitions for Characters (new 01/04/2010)
    - XML Linking Language (XLink) Version 1.1 (new 06/05/2010)
    - XML Path Language (XPath) 2.0 (Second Edition) (new 14/12/2010)
    - XML Syntax for XQuery 1.0 (XQueryX) (Second Edition) (new 14/12/2010)
    - XProc: An XML Pipeline Language (new 11/05/2010)
    - XQuery 1.0 and XPath 2.0 Data Model (XDM) (Second Edition)
      (updated 14/12/2010)
    - XQuery 1.0 and XPath 2.0 Formal Semantics (Second Edition)
      (updated 14/12/2010)
    - XQuery 1.0 and XPath 2.0 Functions and Operators (Second Edition)
      (updated 14/12/2010)
    - XQuery 1.0: An XML Query Language (Second Edition) (new 14/12/2010)
    - XSLT 2.0 and XQuery 1.0 Serialization (Second Edition)
      (updated 14/12/2010)
    - rdf:PlainLiteral: A Datatype for RDF Plain Literals (new 27/10/2009)
  * From now, this package include PR and CR: added a NEWS entry about it
  * List of PR and CR changes (some of them were previously included as REC):
    - A MathML for CSS Profile (new PR 10/08/2010)
    - CSS Color Module Level 3 (new PR 28/10/2010)
    - CSS Marquee Module Level 3 (new CR 05/12/2008)
    - CSS Mobile Profile 2.0 (new CR 10/12/2008)
    - CSS Multi-column Layout Module (new CR 17/12/2009)
    - CSS Namespaces Module (new CR 23/05/2008)
    - CSS Style Attributes (new CR 12/10/2010)
    - CSS TV Profile 1.0 (new CR 14/05/2003)
    - CSS3 Basic User Interface Module (new CR 11/05/2004)
    - CSS3 Ruby Module (new CR 14/05/2003)
    - Cascading Style Sheets Level 2 Revision 1 (CSS 2.1) Specification
      (updated CR 23/04/2009)
    - Character Model for the World Wide Web 1.0: Resource Identifiers
      (new CR 22/11/2004)
    - Digital Signatures for Widgets (new CR 24/06/2010)
    - Efficient XML Interchange (EXI) Format 1.0 (new CR 08/12/2009)
    - Geolocation API Specification (new CR 07/09/2010)
    - Mathematical Markup Language (MathML) Version 3.0 (new PR 10/08/2010)
    - Media Queries (new CR 27/07/2010)
    - Mobile Web Application Best Practices (new PR 21/10/2010)
    - Selectors API Level 1 (new CR 22/12/2009)
    - Selectors Level 3 (new PR 15/12/2009)
    - The 'view-mode' Media Feature (new CR 24/06/2010)
    - Timed Text Markup Language (TTML) 1.0 (new PR 14/09/2010)
    - Voice Browser Call Control: CCXML Version 1.0 (new CR 01/04/2010)
    - W3C XML Schema Definition Language (XSD): Component Designators
      (new CR 19/01/2010)
    - Web Services Choreography Description Language Version 1.0
      (new CR 09/11/2005)
    - Widget Access Request Policy (new CR 20/04/2010)
    - XForms 1.0 Basic Profile (new CR 14/10/2003)
    - XML Binding Language (XBL) 2.0 (new CR 16/03/2007)
    - XML Fragment Interchange (new CR 12/02/2001)
    - XMLHttpRequest (new CR 03/08/2010)
    - XQuery Update Facility 1.0 (new CR 09/06/2009)
    - XQuery Update Facility 1.0 Requirements (new CR 14/03/2008)
    - XQuery Update Facility 1.0 Use Cases (new CR 14/03/2008)
    - XQuery and XPath Full Text 1.0 (new CR 28/01/2010)
  * Bump Standard-Version to 3.9.1 (no changes required)
  * debian/control.in
    - Converting repo from svn to git: update Vcs-* fields accordingly
    - Added Depends: ${misc:Depends} as recommended by debhelper
  * debian/rules:
    - Redirect output of wget to a logfile
    - Ignore .jar extension
    - Exclude a javadoc/ directory: this would break the doc-base process
    - Added a fix-paths target because of broken links in the tr.rdf
    - Ignore error status returned by wget because of broken links,
      so the download target can be fully completed
    - wrap lines > 80 char in control-index.txt copied in debian/control to
      avoid lintian warnings
  * Patches:
    - Switch to 3.0 (quilt) source format
    - Drop rec-dom2-html-url patch, no longer necessary
    - Add fix-link-REC-PICS-labels-961031.patch
    - Convert (and update) css-local-images.patch
  * Clean up TODO.Debian
  * debian/README.source: explicit the steps to build the package from git
  * Added unapply-patches to debian/source/local-options

 -- Colin Darie <colindarie@gmail.com>  Fri, 07 Jan 2011 17:15:16 +0100

w3-recs (20080716-1) unstable; urgency=low

  * recommendation updates:
    - XForms 1.0 Third Edition (updated 29/10/2007)
    - SPARQL Query Language for RDF (new recommendation 15/01/2008)
    - SPARQL Protocol for RDF (new recommendation 15/01/2008)
    - SPARQL Query Results XML Format (new recommendation 15/01/2008)
    - Cascading Style Sheets, level 1 (updated 11/04/2008)
    - Cascading Style Sheets, level 2 (updated 11/04/2008)
    - Canonical XML Version 1.1 (new recommendation 02/05/2008)
    - XML Signature Syntax and Processing Second Edition (updated 10/06/2008)
  * promote Homepage to a real debian/control field
  * promote Vcs-* fields to real debian/control fields
  * use relative links in index.html (enable using the index as
    http://localhost/doc/...), thanks to Simon McVittie for the patch
    (closes: #444593)
  * register a w3-recs "book" with the GNOME documentation browser, based on a
    patch by Simon McVittie (closes: #446876)
  * update Standards-Version to 3.8.0, no changes needed
  * rename debian/README.Debian-source -> debian/README.source, the latter is
    now recommended by policy
  * debian/README.source: add a note on how to be informed about new
    recommendation releases (use the RSS feed, Luke)
  * debian/xsl/deb-gen-doc-base.xsl: ensure doc-base Document IDs are all
    lowercase, as required by doc-base doc; see
    /usr/share/doc/doc-base/doc-base.txt.gz. (Without this fix, latest
    debhelper clashes all doc-base entries into a single one.)
  * move doc-base documents to the (new) section Help/Standards
  * debian/copyright: wrap long lines to avoid exceeding 80 characters
  * move non "upstream" dirs under debian/ (scripts/, xsl/, url-extra.txt) so
    that diff.gz only touches stuff under debian/

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 16 Jul 2008 14:54:57 +0200

w3-recs (20070917-1) unstable; urgency=low

  * new snapshot
  * debian/rules, url-extra.txt
    - add explicit download of some css stylesheets and icons, so that
      absolute URLs pointing to them from the recommendations get converted by
      wget at the end of the download and fancy stuff is available offline
  * debian/copyright
    - updating to the current software notice and license
  * debian/patches/
    - 00dpatch.conf: add file, on svn we are using debianonly mode
    - add patch css-local-images which fixes css stylesheets so that the
      status background image is relative

 -- Stefano Zacchiroli <zack@debian.org>  Mon, 17 Sep 2007 10:08:49 +0200

w3-recs (20070915-1) unstable; urgency=low

  * adopting package (closes: #420622, #420623, #420624)
  * small revolution in how the package is maintained to lessen the
    maintenance burden. The new philosophy is: "automate automate automate",
    see debian/README.Debian-source for more details. Other, per-file changes
    are reported below
  * debian/changelog
    - change the versioning scheme to YYYYMMDD-v
  * debian/control.in
    - set me as the maintainer
    - drop w3m from Recommends, www-browser is enough
    - add build-dep on cdbs, libxml2-utils, xsltproc, dpatch
  * debian/rules
    - use CDBS
    - add the automation logics for downloading TR index and documents, and
      for generating all derived files (doc-base entries, HTML index, ...)
  * debian/compat
    - add file, set debhelper compatibility level to 5
  * debian/w3-recs.install
    - ship all recommendations under /usr/share/doc/w3-recs/html/
  * debian/README.Debian{,-source}
    - add files, with info for users and maintainers
  * xsl/*, scripts/*
    - add XSLT stylesheets and scripts to generate derived files

 -- Stefano Zacchiroli <zack@debian.org>  Sun, 16 Sep 2007 12:47:59 +0200

w3-recs (2004.08-2) unstable; urgency=low

  * QA upload.
  * The package is orphaned (see #420622), set maintainer to Debian QA Group.
  * Fix doc-base files (closes: #422932).
  * Remove dhelp file (closes: #361321, #389810).
  * Make the source package non-native.
  * Bump Standards-Version to 3.7.2.
  * Move debhelper to Build-Depends from Build-Depends-Indep.
  * Set debhelper compatibility level to 5.
  * Switch binary-indep and binary-arch targets.
  * Remove CVS dirs from the binary package.

 -- Robert Luberda <robert@debian.org>  Wed, 09 May 2007 01:32:14 +0200

w3-recs (2004.08-1) unstable; urgency=high

  * Revised titles for w3rec-xmlschema-* again :-/
    (closes: #263931)
  * Added missing image components.gif
    (closes: #192949)
  * Added missing recommendation:
  	XHTML 1.0
    (closes: #236079)
  * Added a README.debian file.
  * Added w3m as preferred www-browser

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 17 Aug 2004 12:11:09 +0200

w3-recs (2003.03-1) unstable; urgency=high

  * Policy updated.
  * Removed unuseful dh_installmanpages, dh_installmenu.
  * Changed title in w3rec-xmlschema-0
    (closes: #165012)
  * Removed DOM2 HTML.
    It has been re-issued in 2003, so moved it in w3-recs-2003.
    (closes: #185380)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 11 Mar 2003 12:02:13 +0100

w3-recs (2002.09-2) unstable; urgency=low

  * Changed Abstract string in w3rec-xmlschema-0.
    (closes: #165012)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Oct 2002 12:38:57 +0200

w3-recs (2002.09-1) unstable; urgency=low

  * Initial release. See doc-html-w3 changelog for information.
  * Docs moved under a RECS subdir.

 -- Francesco P. Lovergine <frankie@debian.org>  Sat, 21 Sep 2002 17:06:26 +0200

